[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.GetPixel

Gets the value for the indexed Pixels property.

## Declaration

Source position: graphics.pp line 1071

`protected function TCanvas.GetPixel(`
`X: Integer;`
`Y: Integer`
`):TColor; virtual;`

## Arguments

`X` |  | Horizontal canvas coordinate for the pixel.
`Y` |  | Vertical canvas coordinate for the pixel.

## Function result

Value for the property.

## See also

TCanvas.Pixels |  | The color of the Pixels located at the specified position.